import java.util.ArrayList;
import java.util.Collections;
public class ListeObjets {
  private ArrayList<Objet> lst;
  public ListeObjets()
  {
     lst=new ArrayList<Objet>();
  }
  public ListeObjets(ArrayList<Objet> v){
      lst=new ArrayList<Objet>(v);
  }
  public ArrayList<Objet> getListe(){
      return lst;
  }
  public void trie(){
      Collections.sort(lst);
  }
  public int taille(){
      return lst.size();
  }
  public void ajoute(Objet x){
        lst.add(x);}
  public void retireObjet(int i){
     lst.remove(i);
  }
  public void retireObjet(Objet x){
      lst.remove(x);
  }
  public Objet get(int i)
  { 
     return(lst.get(i));
  }
  public int getPoidsTotal(){
      int pds=0;
      for(int i=0; i<lst.size();i++) pds+=lst.get(i).getPoids();
      return pds;
  }
  public int getUtilTotale(){
      int u=0;
      for(int i=0; i<lst.size();i++) u+=lst.get(i).getUtil();
      return u;
  }
  public ListeObjets duplique(){
      ArrayList<Objet> v= new ArrayList<>(lst);
      ListeObjets l=new ListeObjets(v);
      return l;
  }
  public void append(ListeObjets l){
     lst.addAll(l.getListe());
  }
  public int index(Objet o){
    // index si l'objet est dans la liste, -1 sinon'
    if(lst.contains(o) ) return lst.indexOf(o);
    else return -1;
  }
  
  @Override
  public String toString(){
      String s="";
      for (int i=0 ;i<lst.size();i++)
          s+=lst.get(i).toString() +"; ";
      return s;
  }
  
  public String affichelNum(){
      String s="";
      for (int i=0 ;i<lst.size();i++)
          s+=" "+lst.get(i).getNum();
      return s;
  }
  
  public String affichelPoids(){
      String s="";
      for (int i=0 ;i<lst.size();i++)
          s+=" "+lst.get(i).getPoids();
      return s;
  }
  
  public String affichelUtil(){
      String s="";
      for (int i=0 ;i<lst.size();i++)
          s+=" "+lst.get(i).getUtil();
      return s;
  }
}
