public class Population{
  boolean[][] t; // t[nbames][nbobj]  tableau de nbames individus
  int tp[];      // tp[nbames]   tp[i]=I.somp(t[i]) ou Integer.MAX_VALUE si I.somu(t[i])<I.utiliteMin
  static Instance I; // probleme a resoudre
  int nbames, nbobj; // nombre d'ames=taille de la population, nombre d'objets disponibles
  java.util.Random alea; // generateur de nombres aleatoires
  static int mel;
       
  public Population(Instance i,int nba){
    I=i;
    nbames=nba|1;  // la taille de la population doit etre impaire
    nbobj=I.lesObjets.taille();
    alea=new java.util.Random();
    generation();
  }
  public static boolean eqtbool(boolean[] t,boolean[] u) // { return t==u; }
  { boolean eq=t.length==u.length;
    for(int i=t.length;eq && --i>=0;) eq=t[i]==u[i];
    return eq;
  } 
  @Override
  public String toString()
  { String s="\n";
    for(int i=0;i<nbames;i++) s+=i+":"+tp[i]+I.SetUPToString(t[i])+"\n";
    return s;
  }
  void generation()
  { t=new boolean[nbames][nbobj]; // Nouveau tableau
    for(int i=0;i<nbames;i++)     // rempli avec des booleens
    for(int j=0;j<nbobj; j++)     // aleatoires
     t[i][j]=alea.nextBoolean();
    for(int i=0;i<nbames;i++)     // Toute solution
     while(I.somu(t[i])<I.utiliteMin) // non realisable
      t[i][alea.nextInt(nbobj)]=true; // est augmentee.
    tp=new int[nbames];
    for(int i=0;i<nbames;i++) tp[i]=I.somp(t[i]);
  } 
  public void evolution()
  { boolean a[];
    int ap;
    for(int i=0;i<nbames;i++) // tri par insertion de la population par tp[i] croissant
    { a=t[i]; ap=tp[i];
      int j;
      for(j=i;j-->0 && tp[j]>ap;tp[j+1]=tp[j]) t[j+1]=t[j];
      t[++j]=a; tp[j]=ap;
    }
    for(int i=nbames;--i>0;) if(eqtbool(t[i],t[i-1])) t[i][alea.nextInt(nbobj)]^=true; // Si t[i]==t[i-1] alors t[i] mute.
    boolean u[][]=new boolean[nbames][nbobj]; // prochaine generation de la population
    for(int i=0;2*i+1<nbames;i++)   // chaque individu t[i] dans la premiere (meilleure) moitie de la population est
    { int j=alea.nextInt(nbames-1); // hybride avec t[j] un individu pris au hasard dans toute la population
      if(j>=i) j++;                 // mais i!=j.
      boolean[] b=t[i], c=t[j], B=u[2*i], C=u[2*i+1]; // b=t[i] et c=t[j] sont melanges pour donner 2 nouveaux individus B et C
      int x=alea.nextInt(nbobj-1);  // x et y sont les positions des 2 cross-overs.
      int y=alea.nextInt(nbobj);
      if(x>=y) { int z=y; y=x+1; x=z; } // x<y
      for(int k=0;k<x    ;k++) { B[k]=b[k]; C[k]=c[k]; }
      for(int k=x;k<y    ;k++) { B[k]=c[k]; C[k]=b[k]; }
      for(int k=y;k<nbobj;k++) { B[k]=b[k]; C[k]=c[k]; }
      if(mel==2 || mel==1 && alea.nextBoolean())
      for(int k=0;k<nbobj;k++) if(B[k]^C[k]) if(alea.nextBoolean()) {B[k]^=true; C[k]^=true;}
    }
    u[alea.nextInt(nbames-1)][alea.nextInt(nbobj)]^=true; // un individu au hasard subit une mutation au hasard
    u[nbames-1]=t[0];  // le meilleur individu de t est garde dans u
    t=u;               // la nouvelle generation remplace l'ancienne
    for(int i=0;i<nbames;i++) tp[i]=I.somu(t[i])<I.utiliteMin?Integer.MAX_VALUE:I.somp(t[i]);
    // calcul des poids des individus. Une solution non réalisable est gardee mais avec un poids infini
  } 
}
